KBUILDSYCOCA6(8)

NOME
kbuildsycoca6 - Reconstrói o cache de configurações do sistema de arquivos desktop do KService

SINTAXE

kbuildsycoca6 [OPÇÕES...]

DESCRIçãO

O kbuildsycoca6 constrói um cache binário dos dados armazenados nos arquivos .desktop e tipo MIME .xml que a plataforma KService usa para encontrar os plugins, aplicativos e outros serviços.

A biblioteca KService usa este banco de dados para oferecer de forma eficiente a informação solicitada.

Os usuários normalmente não precisam executar este aplicativo diretamente. O KService irá executá-lo se necessário, quando for alterado algum arquivo cujos dados estejam armazenados em cache.

OPçõES

--global
    Ignora todos os arquivos definidos pelo usuário (em XDG_DATA_HOME). No momento, há suporte apenas em sistemas UNIX®.

--noincremental
    Em vez de usar o cache existente e atualizar apenas as informações que foram alteradas ou adicionadas, começa com um cache vazio. Será ignorada se a opção --global for definida.

--menutest
    Testa a geração do banco de dados do menu do aplicativo. Não constrói realmente o cache.

--testmode
    Usa o "modo de teste" do QStandardPaths para evitar interferir com os dados do usuários. Isso é destinado para uso em testes de unidade.

--track id-menu
    Segue um ID do menu para depuração.

--author
    Mostra informações sobre o autor.

--license
    Mostra informações sobre a licença.

-h, --help
    Mostra um breve texto de ajuda.

-v , --version
    Mostra informações sobre a versão.

ARQUIVOS

cachedir/ksycoca6_[idioma]_[sha1-dos-diretórios]
    O cache do KService é gerado pelo kbuildsycoca6. Em sistemas UNIX®, o cachedir é normalmente o XDG_CACHE_HOME.

VEJA TAMBéM

kded5(8), kdeinit5(8)

PROBLEMAS

Use o sistema de gerenciamento de erros do KDE[1] para relatar erros.

AUTORES

Darian Lanx <content@openprojects.net>
    Escreveu a documentação original.

Alex Merry <alexmerry@kde.org>
    Atualizou a documentação para o KDE Frameworks 5.

NOTAS

1.  sistema de gerenciamento de erros do KDE
    https://bugs.kde.org